package gssim.db.dao;

import gssim.db.mysql.PluginDAO;

import java.sql.Connection;
import java.sql.SQLException;



public abstract class DAOFactory {

	public abstract Connection createDBConnection(String host, String user, String passwd) 
							throws SQLException;
	
	public abstract AllocationDetailsDAO createAllocationDetails();
	
	public abstract AllocationDAO createAllocation();
	
	public abstract BlobPropertyDAO createBlobProperty();
	
	public abstract ConfigurationDAO createConfiguration();
	
	public abstract ExperimentDAO createExperiment();
	
	public abstract ExperimentStatsDAO createExperimentStats();
	
	public abstract QueuesDAO createQueues();
	
	public abstract ReservationDetailsDAO createReservationDetails();
	
	public abstract ReservationDAO createReservation();
	
	public abstract ResourceAllTimelineDAO createResourceAllTimeline();
	
	public abstract ResourceEnTimelineDAO createResourceEnTimeline();
	
	public abstract ResourceDAO createResource();
	
	public abstract TaskDAO createTask();
	
	public abstract ApplicationPropertyDAO createApplicationProperty();
	
	public abstract TextPropertyDAO createTextProperty();
	
	public abstract UnitAllTimelineDAO createUnitAllTimeline();
	
	public abstract UnitDetailsDAO createUnitDetails();
	
	public abstract UnitEnTimelineDAO createUnitEnTimeline();
	
	public abstract UnitDAO createUnit();
	
	public abstract UserDAO createUser();

	public abstract PluginDAO createPlugin();

	public abstract PluginCompatibilityDAO createPluginCompatibility();
	
}
